Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037878
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 07. Sales managementminorhave not tried2018-02-11 11:502019-03-28 14:55
ReportershuehnerView Statuspublic 
Assigned ToTriage Finance 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision78f89e07fbe5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037878: Rewrite Report "RV_ReportRefundSalesDimensionalAnalyses" without using obsolete fop rendering or remove it

DescriptionThe report:
- with process name: Sales Order Returns Dimensional Report
- with menu name: Sales Order Returns Dimensional Report

is using the obsolete fop rendering engine.

Apart it is not active by default by having both ad process entry as well as its menu entry marked as not active.
Both process & menu marked inactive in 2012: As review as 'advanced feature'

Activating process + menu + granting access allows accessing the report and basic testing shows it seems still to be working.

The fop rendering is only used in the PDF export codepath done in secondary servlet: ReportRefundSalesDimensionalAnalysesPDF.

The main servlet "ReportRefundSalesDimensionalAnalyses" does have html view based on xmlEngine. That will not work on high-volumes however as that report is grouping data effect of that depends on usage.

Apart all report is old style with lots of manually coded html which should be phased out also.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0040132 closedTriage Finance API change: removed reports 
blocks feature request 0037874 closedalostale Remove support for fop rendering from core product as very nearly not used 

-  Notes
(0109549)
hgbot (developer)
2019-02-05 08:12

Repository: erp/devel/pi
Changeset: 78f89e07fbe54a9fe187b61a55306b7ee8a8fc3c
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jan 16 13:14:56 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/78f89e07fbe54a9fe187b61a55306b7ee8a8fc3c [^]

[fop] fixed issue 37878: removed Sales Order Returns Dimensional Report

---
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src-db/database/sourcedata/AD_TREENODE.xml
R src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalyses.fo
R src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalyses.java
R src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalysesEdition.html
R src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalysesEdition.xml
R src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalysesEditionPDF.xml
R src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalysesFilter.html
R src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalysesFilter.xml
R src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalysesPDF.java
R src/org/openbravo/erpCommon/ad_reports/ReportRefundSalesDimensionalAnalyses_data.xsql
---
(0109559)
alostale (developer)
2019-02-05 08:27

Removed in the scope of remove FOP support project (0037874).
(0110790)
hudsonbot (developer)
2019-03-28 14:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-11 11:50 shuehner New Issue
2018-02-11 11:50 shuehner Assigned To => Triage Finance
2018-02-11 11:50 shuehner Modules => Core
2018-02-11 11:50 shuehner Triggers an Emergency Pack => No
2018-02-11 11:50 shuehner Relationship added blocks 0037874
2019-01-16 13:14 alostale Summary 0037877: Rewrite Report "RV_ReportRefundSalesDimensionalAnalyses" without using obsolete fop rendering or remove it => Rewrite Report "RV_ReportRefundSalesDimensionalAnalyses" without using obsolete fop rendering or remove it
2019-02-05 07:54 alostale Relationship added depends on 0040132
2019-02-05 08:12 hgbot Checkin
2019-02-05 08:12 hgbot Note Added: 0109549
2019-02-05 08:12 hgbot Status new => resolved
2019-02-05 08:12 hgbot Resolution open => fixed
2019-02-05 08:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/78f89e07fbe54a9fe187b61a55306b7ee8a8fc3c [^]
2019-02-05 08:27 alostale Note Added: 0109559
2019-02-05 08:27 alostale Status resolved => closed
2019-02-05 08:27 alostale Fixed in Version => 3.0PR19Q2
2019-03-28 14:55 hudsonbot Checkin
2019-03-28 14:55 hudsonbot Note Added: 0110790


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker